Skip to main content
GET
/
gpus
/
v2
/
networks
List Networks
curl --request GET \
  --url https://api.novita.ai/gpus/v2/networks \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/networks"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/networks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "network-abc123",
      "owner_id": "user-abc123",
      "name": "dev-vpc",
      "status": {
        "status": "running",
        "error": "",
        "message": ""
      },
      "cidr": "10.0.0.0/24",
      "region_id": "cluster-abc123",
      "instances": [
        {
          "id": "instance-abc123",
          "ip": "10.0.0.10"
        }
      ],
      "created_at": 1710000000,
      "member_id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "next_cursor": "eyJpZCI6Im5ldHdvcmstYWJjMTIzIn0",
  "has_more": true
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Query Parameters

limit
integer

Page size. Integer, value >= 0.

cursor
string

Pagination cursor. String, length: 0-1024 characters.

name
string

Filter by Network name. String, length: 0-255 characters.

member_ids
string

Filter by member ID. Multiple IDs are comma-separated. String, length: 0-255 characters.

Response

200 - application/json

OK

data
object[]

Network list

next_cursor
string

Cursor for the next page. Empty string when there is no next page

Example:

"eyJpZCI6Im5ldHdvcmstYWJjMTIzIn0"

has_more
boolean

Whether there are more pages

Example:

true

Last modified on June 23, 2026